/* 
   Copyright 2018-2024 LEADS-EXTRACTOR.com
   For more information please see extractor.js.LICENSE.txt
 */
   var $jscomp = $jscomp || {};
   $jscomp.scope = {};
   $jscomp.arrayIteratorImpl = function(a) {
     var b = 0;
     return function() {
       return b < a.length ? {done:!1, value:a[b++]} : {done:!0};
     };
   };
   $jscomp.arrayIterator = function(a) {
     return {next:$jscomp.arrayIteratorImpl(a)};
   };
   $jscomp.makeIterator = function(a) {
     var b = "undefined" != typeof Symbol && Symbol.iterator && a[Symbol.iterator];
     if (b) {
       return b.call(a);
     }
     if ("number" == typeof a.length) {
       return $jscomp.arrayIterator(a);
     }
     throw Error(String(a) + " is not an iterable or ArrayLike");
   };
   $jscomp.ASSUME_ES5 = !1;
   $jscomp.ASSUME_NO_NATIVE_MAP = !1;
   $jscomp.ASSUME_NO_NATIVE_SET = !1;
   $jscomp.SIMPLE_FROUND_POLYFILL = !1;
   $jscomp.ISOLATE_POLYFILLS = !1;
   $jscomp.FORCE_POLYFILL_PROMISE = !1;
   $jscomp.FORCE_POLYFILL_PROMISE_WHEN_NO_UNHANDLED_REJECTION = !1;
   $jscomp.defineProperty = $jscomp.ASSUME_ES5 || "function" == typeof Object.defineProperties ? Object.defineProperty : function(a, b, c) {
     if (a == Array.prototype || a == Object.prototype) {
       return a;
     }
     a[b] = c.value;
     return a;
   };
   $jscomp.getGlobal = function(a) {
     a = ["object" == typeof globalThis && globalThis, a, "object" == typeof window && window, "object" == typeof self && self, "object" == typeof global && global];
     for (var b = 0; b < a.length; ++b) {
       var c = a[b];
       if (c && c.Math == Math) {
         return c;
       }
     }
     throw Error("Cannot find global object");
   };
   $jscomp.global = $jscomp.getGlobal(this);
   $jscomp.IS_SYMBOL_NATIVE = "function" === typeof Symbol && "symbol" === typeof Symbol("x");
   $jscomp.TRUST_ES6_POLYFILLS = !$jscomp.ISOLATE_POLYFILLS || $jscomp.IS_SYMBOL_NATIVE;
   $jscomp.polyfills = {};
   $jscomp.propertyToPolyfillSymbol = {};
   $jscomp.POLYFILL_PREFIX = "$jscp$";
   var $jscomp$lookupPolyfilledValue = function(a, b, c) {
     if (!c || null != a) {
       c = $jscomp.propertyToPolyfillSymbol[b];
       if (null == c) {
         return a[b];
       }
       c = a[c];
       return void 0 !== c ? c : a[b];
     }
   };
   $jscomp.polyfill = function(a, b, c, d) {
     b && ($jscomp.ISOLATE_POLYFILLS ? $jscomp.polyfillIsolated(a, b, c, d) : $jscomp.polyfillUnisolated(a, b, c, d));
   };
   $jscomp.polyfillUnisolated = function(a, b, c, d) {
     c = $jscomp.global;
     a = a.split(".");
     for (d = 0; d < a.length - 1; d++) {
       var e = a[d];
       if (!(e in c)) {
         return;
       }
       c = c[e];
     }
     a = a[a.length - 1];
     d = c[a];
     b = b(d);
     b != d && null != b && $jscomp.defineProperty(c, a, {configurable:!0, writable:!0, value:b});
   };
   $jscomp.polyfillIsolated = function(a, b, c, d) {
     var e = a.split(".");
     a = 1 === e.length;
     d = e[0];
     d = !a && d in $jscomp.polyfills ? $jscomp.polyfills : $jscomp.global;
     for (var f = 0; f < e.length - 1; f++) {
       var g = e[f];
       if (!(g in d)) {
         return;
       }
       d = d[g];
     }
     e = e[e.length - 1];
     c = $jscomp.IS_SYMBOL_NATIVE && "es6" === c ? d[e] : null;
     b = b(c);
     null != b && (a ? $jscomp.defineProperty($jscomp.polyfills, e, {configurable:!0, writable:!0, value:b}) : b !== c && (void 0 === $jscomp.propertyToPolyfillSymbol[e] && (c = 1E9 * Math.random() >>> 0, $jscomp.propertyToPolyfillSymbol[e] = $jscomp.IS_SYMBOL_NATIVE ? $jscomp.global.Symbol(e) : $jscomp.POLYFILL_PREFIX + c + "$" + e), $jscomp.defineProperty(d, $jscomp.propertyToPolyfillSymbol[e], {configurable:!0, writable:!0, value:b})));
   };
   $jscomp.underscoreProtoCanBeSet = function() {
     var a = {a:!0}, b = {};
     try {
       return b.__proto__ = a, b.a;
     } catch (c) {
     }
     return !1;
   };
   $jscomp.setPrototypeOf = $jscomp.TRUST_ES6_POLYFILLS && "function" == typeof Object.setPrototypeOf ? Object.setPrototypeOf : $jscomp.underscoreProtoCanBeSet() ? function(a, b) {
     a.__proto__ = b;
     if (a.__proto__ !== b) {
       throw new TypeError(a + " is not extensible");
     }
     return a;
   } : null;
   $jscomp.generator = {};
   $jscomp.generator.ensureIteratorResultIsObject_ = function(a) {
     if (!(a instanceof Object)) {
       throw new TypeError("Iterator result " + a + " is not an object");
     }
   };
   $jscomp.generator.Context = function() {
     this.isRunning_ = !1;
     this.yieldAllIterator_ = null;
     this.yieldResult = void 0;
     this.nextAddress = 1;
     this.finallyAddress_ = this.catchAddress_ = 0;
     this.finallyContexts_ = this.abruptCompletion_ = null;
   };
   $jscomp.generator.Context.prototype.start_ = function() {
     if (this.isRunning_) {
       throw new TypeError("Generator is already running");
     }
     this.isRunning_ = !0;
   };
   $jscomp.generator.Context.prototype.stop_ = function() {
     this.isRunning_ = !1;
   };
   $jscomp.generator.Context.prototype.jumpToErrorHandler_ = function() {
     this.nextAddress = this.catchAddress_ || this.finallyAddress_;
   };
   $jscomp.generator.Context.prototype.next_ = function(a) {
     this.yieldResult = a;
   };
   $jscomp.generator.Context.prototype.throw_ = function(a) {
     this.abruptCompletion_ = {exception:a, isException:!0};
     this.jumpToErrorHandler_();
   };
   $jscomp.generator.Context.prototype["return"] = function(a) {
     this.abruptCompletion_ = {"return":a};
     this.nextAddress = this.finallyAddress_;
   };
   $jscomp.generator.Context.prototype.jumpThroughFinallyBlocks = function(a) {
     this.abruptCompletion_ = {jumpTo:a};
     this.nextAddress = this.finallyAddress_;
   };
   $jscomp.generator.Context.prototype.yield = function(a, b) {
     this.nextAddress = b;
     return {value:a};
   };
   $jscomp.generator.Context.prototype.yieldAll = function(a, b) {
     var c = $jscomp.makeIterator(a), d = c.next();
     $jscomp.generator.ensureIteratorResultIsObject_(d);
     if (d.done) {
       this.yieldResult = d.value, this.nextAddress = b;
     } else {
       return this.yieldAllIterator_ = c, this.yield(d.value, b);
     }
   };
   $jscomp.generator.Context.prototype.jumpTo = function(a) {
     this.nextAddress = a;
   };
   $jscomp.generator.Context.prototype.jumpToEnd = function() {
     this.nextAddress = 0;
   };
   $jscomp.generator.Context.prototype.setCatchFinallyBlocks = function(a, b) {
     this.catchAddress_ = a;
     void 0 != b && (this.finallyAddress_ = b);
   };
   $jscomp.generator.Context.prototype.setFinallyBlock = function(a) {
     this.catchAddress_ = 0;
     this.finallyAddress_ = a || 0;
   };
   $jscomp.generator.Context.prototype.leaveTryBlock = function(a, b) {
     this.nextAddress = a;
     this.catchAddress_ = b || 0;
   };
   $jscomp.generator.Context.prototype.enterCatchBlock = function(a) {
     this.catchAddress_ = a || 0;
     a = this.abruptCompletion_.exception;
     this.abruptCompletion_ = null;
     return a;
   };
   $jscomp.generator.Context.prototype.enterFinallyBlock = function(a, b, c) {
     c ? this.finallyContexts_[c] = this.abruptCompletion_ : this.finallyContexts_ = [this.abruptCompletion_];
     this.catchAddress_ = a || 0;
     this.finallyAddress_ = b || 0;
   };
   $jscomp.generator.Context.prototype.leaveFinallyBlock = function(a, b) {
     var c = this.finallyContexts_.splice(b || 0)[0];
     if (c = this.abruptCompletion_ = this.abruptCompletion_ || c) {
       if (c.isException) {
         return this.jumpToErrorHandler_();
       }
       void 0 != c.jumpTo && this.finallyAddress_ < c.jumpTo ? (this.nextAddress = c.jumpTo, this.abruptCompletion_ = null) : this.nextAddress = this.finallyAddress_;
     } else {
       this.nextAddress = a;
     }
   };
   $jscomp.generator.Context.prototype.forIn = function(a) {
     return new $jscomp.generator.Context.PropertyIterator(a);
   };
   $jscomp.generator.Context.PropertyIterator = function(a) {
     this.object_ = a;
     this.properties_ = [];
     for (var b in a) {
       this.properties_.push(b);
     }
     this.properties_.reverse();
   };
   $jscomp.generator.Context.PropertyIterator.prototype.getNext = function() {
     for (; 0 < this.properties_.length;) {
       var a = this.properties_.pop();
       if (a in this.object_) {
         return a;
       }
     }
     return null;
   };
   $jscomp.generator.Engine_ = function(a) {
     this.context_ = new $jscomp.generator.Context();
     this.program_ = a;
   };
   $jscomp.generator.Engine_.prototype.next_ = function(a) {
     this.context_.start_();
     if (this.context_.yieldAllIterator_) {
       return this.yieldAllStep_(this.context_.yieldAllIterator_.next, a, this.context_.next_);
     }
     this.context_.next_(a);
     return this.nextStep_();
   };
   $jscomp.generator.Engine_.prototype.return_ = function(a) {
     this.context_.start_();
     var b = this.context_.yieldAllIterator_;
     if (b) {
       return this.yieldAllStep_("return" in b ? b["return"] : function(c) {
         return {value:c, done:!0};
       }, a, this.context_["return"]);
     }
     this.context_["return"](a);
     return this.nextStep_();
   };
   $jscomp.generator.Engine_.prototype.throw_ = function(a) {
     this.context_.start_();
     if (this.context_.yieldAllIterator_) {
       return this.yieldAllStep_(this.context_.yieldAllIterator_["throw"], a, this.context_.next_);
     }
     this.context_.throw_(a);
     return this.nextStep_();
   };
   $jscomp.generator.Engine_.prototype.yieldAllStep_ = function(a, b, c) {
     try {
       var d = a.call(this.context_.yieldAllIterator_, b);
       $jscomp.generator.ensureIteratorResultIsObject_(d);
       if (!d.done) {
         return this.context_.stop_(), d;
       }
       var e = d.value;
     } catch (f) {
       return this.context_.yieldAllIterator_ = null, this.context_.throw_(f), this.nextStep_();
     }
     this.context_.yieldAllIterator_ = null;
     c.call(this.context_, e);
     return this.nextStep_();
   };
   $jscomp.generator.Engine_.prototype.nextStep_ = function() {
     for (; this.context_.nextAddress;) {
       try {
         var a = this.program_(this.context_);
         if (a) {
           return this.context_.stop_(), {value:a.value, done:!1};
         }
       } catch (b) {
         this.context_.yieldResult = void 0, this.context_.throw_(b);
       }
     }
     this.context_.stop_();
     if (this.context_.abruptCompletion_) {
       a = this.context_.abruptCompletion_;
       this.context_.abruptCompletion_ = null;
       if (a.isException) {
         throw a.exception;
       }
       return {value:a["return"], done:!0};
     }
     return {value:void 0, done:!0};
   };
   $jscomp.generator.Generator_ = function(a) {
     this.next = function(b) {
       return a.next_(b);
     };
     this["throw"] = function(b) {
       return a.throw_(b);
     };
     this["return"] = function(b) {
       return a.return_(b);
     };
     this[Symbol.iterator] = function() {
       return this;
     };
   };
   $jscomp.generator.createGenerator = function(a, b) {
     var c = new $jscomp.generator.Generator_(new $jscomp.generator.Engine_(b));
     $jscomp.setPrototypeOf && a.prototype && $jscomp.setPrototypeOf(c, a.prototype);
     return c;
   };
   $jscomp.asyncExecutePromiseGenerator = function(a) {
     function b(d) {
       return a.next(d);
     }
     function c(d) {
       return a["throw"](d);
     }
     return new Promise(function(d, e) {
       function f(g) {
         g.done ? d(g.value) : Promise.resolve(g.value).then(b, c).then(f, e);
       }
       f(a.next());
     });
   };
   $jscomp.asyncExecutePromiseGeneratorFunction = function(a) {
     return $jscomp.asyncExecutePromiseGenerator(a());
   };
   $jscomp.asyncExecutePromiseGeneratorProgram = function(a) {
     return $jscomp.asyncExecutePromiseGenerator(new $jscomp.generator.Generator_(new $jscomp.generator.Engine_(a)));
   };
   chrome.runtime.onInstalled.addListener(function(a) {
     "install" == a.reason && chrome.tabs.create({url:"https://www.leads-extractor.com/welcome/?utm_source=chrome&utm_medium=extension&utm_campaign=welcome"});
   });
   var bW = function() {
     setTimeout(function() {
       chrome.runtime.sendMessage("marco", function() {
         console.log("polo");
       });
       bW();
     }, 10000);
   };
   bW();
   chrome.storage.onChanged.addListener(function(a, b) {
     for (var c = $jscomp.makeIterator(Object.entries(a)), d = c.next(); !d.done; d = c.next()) {
       var e = $jscomp.makeIterator(d.value);
       d = e.next().value;
       e = e.next().value.newValue;
       try {
         "bg_businesses_temp" == d && void 0 != e && e != [] && (tB = JSON.parse(e)), "LastUserCallData" == d && void 0 != e && (user = JSON.parse(e)), "LastLicenseCallData" == d && void 0 != e && (lastCallData = e);
       } catch (f) {
       }
     }
   });
   chrome.runtime.onSuspend.addListener(function() {
     return $jscomp.asyncExecutePromiseGeneratorProgram(function(a) {
       return a.yield(chrome.storage.local.set({bg_businesses_temp:JSON.stringify(tB)}), 0);
     });
   });
   var tIU = [], lU = "", CONSTURL = "https://api.leads-extractor.com/v2/findBusinesses", TF = 0, TR = 0, tB = [], gS = [], uS = [], user = null, lastCallData = null;
   chrome.runtime.onMessage.addListener(function(a, b, c) {
     var d, e;
     return $jscomp.asyncExecutePromiseGeneratorProgram(function(f) {
       d = a;
       e = d.type;
       if ("delete" !== e) {
         return f.jumpTo(0);
       }
       tB = [];
       gS = [];
       uS = [];
       TF = TR = 0;
       return f.yield(chrome.storage.local.set({TF:0, TR:0}), 0);
     });
   });
   function vTAC(a, b) {
     var c, d;
     return $jscomp.asyncExecutePromiseGeneratorProgram(function(e) {
       if (1 == e.nextAddress) {
         return e.yield(chrome.storage.local.get(["LastLicenseCallData"], function(f) {
           lastCallData = f.LastLicenseCallData || null;
         }), 2);
       }
       try {
         c = null;
         c = b.includes("window.APP_INITIALIZATION_STATE") ? JSON.parse(b.slice(b.indexOf("window.APP_INITIALIZATION_STATE=") + 32, b.indexOf(";window.APP_FLAGS")))[3][2] : JSON.parse(b.slice(0, -6)).d;
         if (null === c) {
           return e["return"]();
         }
         (d = c.substr(4)) && lC(d);
       } catch (f) {
         f.response ? (console.log(f.response.data), console.log(f.response.status), console.log(f.response.headers)) : f.request ? console.log(f.request) : console.log("Error", f.message), console.log(f);
       }
       return e["return"]();
     });
   }
   function lC(a) {
     a = JSON.parse(a)[0][1];
     var b = a.length;
     for (i = 0; i < b; i++) {
       if (15 == a[i].length) {
         var c = hTD(a[i][14][10].split(":")[1]), d = " ";
         null != a[i][14][4] && null != a[i][14][4][3] ? (d = a[i][14][4][3][0].split("=")[1], d = d.split("&")[0]) : d = a[i][14][78];
         "true" != tB.findIndex(function(e) {
           return e.place_id === d;
         }).checked && fUR(d, a[i], c);
       }
     }
   }
   chrome.webRequest.onCompleted.addListener(function(a) {
     if (a.url.includes("/search?tbm=map") || a.url.includes("/data=")) {
       var b = a.url;
       lU != b && (lU = b, 0 == gS.includes(lU) && (gS.push(lU), fetch(b).then(function(c) {
         return c.text();
       }).then(function(c) {
         vTAC(b, c);
       })));
     }
   }, {urls:"https://www.google.com/* https://www.google.ac/* https://www.google.ad/* https://www.google.ae/* https://www.google.com.af/* https://www.google.com.ag/* https://www.google.com.ai/* https://www.google.al/* https://www.google.am/* https://www.google.co.ao/* https://www.google.com.ar/* https://www.google.as/* https://www.google.at/* https://www.google.com.au/* https://www.google.az/* https://www.google.ba/* https://www.google.com.bd/* https://www.google.be/* https://www.google.bf/* https://www.google.bg/* https://www.google.com.bh/* https://www.google.bi/* https://www.google.bj/* https://www.google.com.bn/* https://www.google.com.bo/* https://www.google.com.br/* https://www.google.bs/* https://www.google.bt/* https://www.google.co.bw/* https://www.google.by/* https://www.google.com.bz/* https://www.google.ca/* https://www.google.com.kh/* https://www.google.cc/* https://www.google.cd/* https://www.google.cf/* https://www.google.cat/* https://www.google.cg/* https://www.google.ch/* https://www.google.ci/* https://www.google.co.ck/* https://www.google.cl/* https://www.google.cm/* https://www.google.cn/* https://www.google.com.co/* https://www.google.co.cr/* https://www.google.com.cu/* https://www.google.cv/* https://www.google.com.cy/* https://www.google.cz/* https://www.google.de/* https://www.google.dj/* https://www.google.dk/* https://www.google.dm/* https://www.google.com.do/* https://www.google.dz/* https://www.google.com.ec/* https://www.google.ee/* https://www.google.com.eg/* https://www.google.es/* https://www.google.com.et/* https://www.google.fi/* https://www.google.com.fj/* https://www.google.fm/* https://www.google.fr/* https://www.google.ga/* https://www.google.ge/* https://www.google.gf/* https://www.google.gg/* https://www.google.com.gh/* https://www.google.com.gi/* https://www.google.gl/* https://www.google.gm/* https://www.google.gp/* https://www.google.gr/* https://www.google.com.gt/* https://www.google.gy/* https://www.google.com.hk/* https://www.google.hn/* https://www.google.hr/* https://www.google.ht/* https://www.google.hu/* https://www.google.co.id/* https://www.google.iq/* https://www.google.ie/* https://www.google.co.il/* https://www.google.im/* https://www.google.co.in/* https://www.google.io/* https://www.google.is/* https://www.google.it/* https://www.google.je/* https://www.google.com.jm/* https://www.google.jo/* https://www.google.co.jp/* https://www.google.co.ke/* https://www.google.ki/* https://www.google.kg/* https://www.google.co.kr/* https://www.google.com.kw/* https://www.google.kz/* https://www.google.la/* https://www.google.com.lb/* https://www.google.com.lc/* https://www.google.li/* https://www.google.lk/* https://www.google.co.ls/* https://www.google.lt/* https://www.google.lu/* https://www.google.lv/* https://www.google.com.ly/* https://www.google.co.ma/* https://www.google.md/* https://www.google.me/* https://www.google.mg/* https://www.google.mk/* https://www.google.ml/* https://www.google.com.mm/* https://www.google.mn/* https://www.google.ms/* https://www.google.com.mt/* https://www.google.mu/* https://www.google.mv/* https://www.google.mw/* https://www.google.com.mx/* https://www.google.com.my/* https://www.google.co.mz/* https://www.google.com.na/* https://www.google.ne/* https://www.google.com.nf/* https://www.google.com.ng/* https://www.google.com.ni/* https://www.google.nl/* https://www.google.no/* https://www.google.com.np/* https://www.google.nr/* https://www.google.nu/* https://www.google.co.nz/* https://www.google.com.om/* https://www.google.com.pk/* https://www.google.com.pa/* https://www.google.com.pe/* https://www.google.com.ph/* https://www.google.pl/* https://www.google.com.pg/* https://www.google.pn/* https://www.google.com.pr/* https://www.google.ps/* https://www.google.pt/* https://www.google.com.py/* https://www.google.com.qa/* https://www.google.ro/* https://www.google.rs/* https://www.google.ru/* https://www.google.rw/* https://www.google.com.sa/* https://www.google.com.sb/* https://www.google.sc/* https://www.google.se/* https://www.google.com.sg/* https://www.google.sh/* https://www.google.si/* https://www.google.sk/* https://www.google.com.sl/* https://www.google.sn/* https://www.google.sm/* https://www.google.so/* https://www.google.st/* https://www.google.sr/* https://www.google.com.sv/* https://www.google.td/* https://www.google.tg/* https://www.google.co.th/* https://www.google.com.tj/* https://www.google.tk/* https://www.google.tl/* https://www.google.tm/* https://www.google.to/* https://www.google.tn/* https://www.google.com.tr/* https://www.google.tt/* https://www.google.com.tw/* https://www.google.co.tz/* https://www.google.com.ua/* https://www.google.co.ug/* https://www.google.co.uk/* https://www.google.com/* https://www.google.com.uy/* https://www.google.co.uz/* https://www.google.com.vc/* https://www.google.co.ve/* https://www.google.vg/* https://www.google.co.vi/* https://www.google.com.vn/* https://www.google.vu/* https://www.google.ws/* https://www.google.co.za/* https://www.google.co.zm/* https://www.google.co.zw/*".split(" "), 
   types:["xmlhttprequest"]}, []);
   function fUR(a, b, c) {
     var d, e;
     return $jscomp.asyncExecutePromiseGeneratorProgram(function(f) {
       if (1 == f.nextAddress) {
         if (null == lastCallData && 10 <= TR) {
           return TF = TR = 20, chrome.storage.local.set({TR:TR, TF:TF, bg_businesses_temp:JSON.stringify(tB.slice(0, 10))}), f["return"]();
         }
         if (null === tB) {
           return f["return"]();
         }
         d = tB.findIndex(function(g) {
           return g.place_id === a;
         });
         if (void 0 == tB[d]) {
           TF++, chrome.storage.local.set({TF:TF});
         } else {
           if ("true" != tB[d].checked) {
             return TR++, chrome.storage.local.set({TR:TR}), f["return"]();
           }
         }
         e = CONSTURL + "?place_id=" + a;
         return f.yield(fetch(e, {headers:{"Content-Type":"application/json", "Access-Control-Allow-Origin":"*"}, mode:"no-cors", method:"post", body:JSON.stringify({g:b, cid:c})}).then(function(g) {
           return g.json();
         }).then(function(g) {
           var h;
           return $jscomp.asyncExecutePromiseGeneratorProgram(function(k) {
             h = g;
             -1 == tB.findIndex(function(l) {
               return l.place_id === a;
             }) && (tB.push(h), chrome.storage.local.set({bg_businesses_temp:JSON.stringify(tB)}));
             k.jumpToEnd();
           });
         })["catch"](function(g) {
           tIU.push(e);
           chrome.storage.local.set({TR:TR});
         }).then(function() {
           TR += 1.5;
           chrome.storage.local.set({TR:TR});
         }), 2);
       }
       return f["return"](!0);
     });
   }
   function add(a, b, c) {
     for (var d = [], e = Math.max(a.length, b.length), f = 0, g = 0; g < e || f;) {
       f = f + (g < a.length ? a[g] : 0) + (g < b.length ? b[g] : 0), d.push(f % c), f = Math.floor(f / c), g++;
     }
     return d;
   }
   function mBN(a, b, c) {
     if (0 > a) {
       return null;
     }
     if (0 == a) {
       return [];
     }
     for (var d = [];;) {
       a & 1 && (d = add(d, b, c));
       a >>= 1;
       if (0 === a) {
         break;
       }
       b = add(b, b, c);
     }
     return d;
   }
   function pTDA(a, b) {
     for (var c = a.split(""), d = [], e = c.length - 1; 0 <= e; e--) {
       var f = parseInt(c[e], b);
       if (isNaN(f)) {
         return null;
       }
       d.push(f);
     }
     return d;
   }
   function cB(a, b, c) {
     var d = pTDA(a, b);
     if (null === d) {
       return null;
     }
     a = [];
     for (var e = [1], f = 0; f < d.length; f++) {
       d[f] && (a = add(a, mBN(d[f], e, c), c)), e = mBN(b, e, c);
     }
     b = "";
     for (f = a.length - 1; 0 <= f; f--) {
       b += a[f].toString(c);
     }
     return b;
   }
   function dTH(a) {
     return (a = cB(a, 10, 16)) ? "0x" + a : null;
   }
   function hTD(a) {
     "0x" === a.substring(0, 2) && (a = a.substring(2));
     a = a.toLowerCase();
     return cB(a, 16, 10);
   }
   ;